Ask Your Question
0

Problem nova install [closed]

asked 2013-08-19 00:55:40 -0500

cedric gravatar image

updated 2013-08-22 19:40:14 -0500

fifieldt gravatar image

Hello. I have a problem when i execute:

    # yum install openstack-nova

>Loaded plugins: fastestmirror, security
Loading mirror speeds from cached hostfile
 * base: mirrors.ircam.fr
 * epel: mirrors.ircam.fr
 * extras: mirrors.ircam.fr
 * updates: mirrors.ircam.fr
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package openstack-nova.noarch 0:2013.1.3-1.el6 will be installed
--> Processing Dependency: openstack-nova-scheduler = 2013.1.3-1.el6 for package: openstack-nova-2013.1.3-1.el6.noarch
--> Processing Dependency: openstack-nova-objectstore = 2013.1.3-1.el6 for package: openstack-nova-2013.1.3-1.el6.noarch
--> Processing Dependency: openstack-nova-novncproxy = 2013.1.3-1.el6 for package: openstack-nova-2013.1.3-1.el6.noarch
--> Processing Dependency: openstack-nova-network = 2013.1.3-1.el6 for package: openstack-nova-2013.1.3-1.el6.noarch
--> Processing Dependency: openstack-nova-console = 2013.1.3-1.el6 for package: openstack-nova-2013.1.3-1.el6.noarch
--> Processing Dependency: openstack-nova-conductor = 2013.1.3-1.el6 for package: openstack-nova-2013.1.3-1.el6.noarch
--> Processing Dependency: openstack-nova-compute = 2013.1.3-1.el6 for package: openstack-nova-2013.1.3-1.el6.noarch
--> Processing Dependency: openstack-nova-cert = 2013.1.3-1.el6 for package: openstack-nova-2013.1.3-1.el6.noarch
--> Processing Dependency: openstack-nova-cells = 2013.1.3-1.el6 for package: openstack-nova-2013.1.3-1.el6.noarch
--> Processing Dependency: openstack-nova-api = 2013.1.3-1.el6 for package: openstack-nova-2013.1.3-1.el6.noarch
--> Running transaction check
---> Package openstack-nova-api.noarch 0:2012.2.4-1.el6 will be updated
---> Package openstack-nova-api.noarch 0:2013.1.3-1.el6 will be an update
--> Processing Dependency: openstack-nova-common = 2013.1.3-1.el6 for package: openstack-nova-api-2013.1.3-1.el6.noarch
---> Package openstack-nova-cells.noarch 0:2013.1.3-1.el6 will be installed
---> Package openstack-nova-cert.noarch 0:2012.2.4-1.el6 will be updated
---> Package openstack-nova-cert.noarch 0:2013.1.3-1.el6 will be an update
---> Package openstack-nova-compute.noarch 0:2012.2.4-1.el6 will be updated
---> Package openstack-nova-compute.noarch 0:2013.1.3-1.el6 will be an update
--> Processing Dependency: python-libguestfs for package: openstack-nova-compute-2013.1.3-1.el6.noarch
---> Package openstack-nova-conductor.noarch 0:2013.1.3-1.el6 will be installed
---> Package openstack-nova-console.noarch 0:2012.2.4-1.el6 will be updated
---> Package openstack-nova-console.noarch 0:2013.1.3-1.el6 will be an update
--> Processing Dependency: python-websockify for package: openstack-nova-console-2013.1.3-1.el6.noarch
---> Package openstack-nova-network.noarch 0:2012.2.4-1.el6 will be updated
---> Package openstack-nova-network.noarch 0:2013.1.3-1.el6 will be an update
--> Processing Dependency: dnsmasq-utils for package: openstack-nova-network-2013.1.3-1.el6.noarch
---> Package openstack-nova-novncproxy.noarch 0:2013.1.3-1.el6 will be installed
--> Processing Dependency: novnc for package: openstack-nova-novncproxy-2013.1.3-1.el6.noarch
---> Package openstack-nova-objectstore.noarch 0:2012.2.4-1.el6 will be updated
---> Package openstack-nova-objectstore.noarch 0:2013.1.3-1.el6 will be an update
---> Package openstack-nova-scheduler.noarch 0:2012.2.4-1.el6 will be updated
---> Package openstack-nova-scheduler.noarch 0:2013.1.3-1.el6 will be an update
--> Running transaction check
---> Package dnsmasq-utils.x86_64 0:2.48-13.el6 will be installed
---> Package novnc.noarch 0:0.4-8.el6 will be installed
---> Package openstack-nova-common.noarch 0:2012.2.4-1.el6 will be updated
--> Processing Dependency: openstack-nova-common = 2012.2.4-1.el6 for package: openstack-nova-volume-2012.2.4-1.el6.noarch
---> Package openstack-nova-common.noarch 0 ...
(more)
edit retag flag offensive reopen merge delete

Closed for the following reason the question is answered, right answer was accepted by koolhead17
close date 2014-06-05 21:15:32.414704

Comments

Did you try the suggestions given at the end of the error message you posted? If yes, what is the output?

Jobin gravatar imageJobin ( 2013-08-23 21:43:43 -0500 )edit

2 answers

Sort by ยป oldest newest most voted
1

answered 2013-08-23 15:43:06 -0500

smaffulli gravatar image

There seems to be an issue with the yum repositories you're using.

edit flag offensive delete link more
0

answered 2013-08-26 05:26:52 -0500

cedric gravatar image

I fixed the problem by changing the repositorie.

edit flag offensive delete link more

Comments

Hi Cedric, I have a similar problem. Which repository did you add/change to? Please share!

Johannf gravatar imageJohannf ( 2013-09-13 08:34:19 -0500 )edit

I used : yum install -y http://rdo.fedorapeople.org/openstack/openstack-grizzly/rdo-release-grizzly.rpm%3C/p%3E (http://rdo.fedorapeople.org/openstack/openstack-grizzly/rdo-release-grizzly.rpm)

cedric gravatar imagecedric ( 2013-09-23 00:25:15 -0500 )edit

Get to know Ask OpenStack

Resources for moderators

Question Tools

1 follower

Stats

Asked: 2013-08-19 00:55:40 -0500

Seen: 433 times

Last updated: Aug 26 '13